### Method

# Gtk Accessibleset_accessible_parent

since: 4.10

#### Declaration [src]

    void
    gtk_accessible_set_accessible_parent (
      GtkAccessible* self,
      GtkAccessible* parent,
      GtkAccessible* next_sibling
    )

#### Description [src]

Sets the parent and sibling of an accessible object.

This function is meant to be used by accessible implementations that are not part of the widget hierarchy, and but act as a logical bridge between widgets. For instance, if a widget creates an object that holds metadata for each child, and you want that object to implement the `GtkAccessible` interface, you will use this function to ensure that the parent of each child widget is the metadata object, and the parent of each metadata object is the container widget.

Available since: 4.10

#### Parameters

`parent`

  Type: `GtkAccessible`

  The parent accessible object.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`next_sibling`

  Type: `GtkAccessible`

  The sibling accessible object.

  The argument can be `NULL`.
  The data is owned by the caller of the method.